<?php
declare(strict_types=1);

namespace IntiTest\Wp\Plugin\Mock;

use Inti\Wp\Plugin\PluginInterface;

/**
 * Class MockPlugin
 *
 * @package IntiTest\Wp\Plugin\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
final class MockPlugin implements PluginInterface
{
    private ?array $options;

    /**
     * @return array|null
     */
    public function getOptions(): ?array
    {
        return $this->options;
    }

    public function run(?array $options = null): void
    {
        $this->options = $options;
    }
}
